r10195 - packages/trunk/supertuxkart/debian

Christoph Egger christoph-guest at alioth.debian.org
Sun Aug 23 08:39:25 UTC 2009


Author: christoph-guest
Date: 2009-08-23 08:39:24 +0000 (Sun, 23 Aug 2009)
New Revision: 10195

Modified:
   packages/trunk/supertuxkart/debian/README.source
   packages/trunk/supertuxkart/debian/get-orig-source.sh
   packages/trunk/supertuxkart/debian/rules
Log:
Improvements as suggested during review

Modified: packages/trunk/supertuxkart/debian/README.source
===================================================================
--- packages/trunk/supertuxkart/debian/README.source	2009-08-23 00:42:54 UTC (rev 10194)
+++ packages/trunk/supertuxkart/debian/README.source	2009-08-23 08:39:24 UTC (rev 10195)
@@ -1,16 +1,23 @@
 Task: apply debian patches
 Tools: quilt
 Command: quilt push -a
-Description: Please read /usr/share/doc/quilt/README.source how to use
-  quilt for managing Debian patches.
+Description: 
+  Please read /usr/share/doc/quilt/README.source how to use quilt for
+  managing Debian patches.
   .
-  This is currently not needed as there are no patches.
+  This might not be needed for there are not always patches. The steps
+  outlined above should always work nonetheless. If you want to see if
+  there are patches, check if there are files in debian/patches apart
+  from the one called «series»
 
 Task: create orig-tarball
 Tools: make, bzip2, gzip, uscan
 Command: make -f debian/rules get-orig-source
-Description: As there are some unfree parts in upstream's tarball we need to 
-  replace them with free bits. This make target will do the Job for you, leaving
-  an tarball in your working directory.
+Description: 
+  As there are some unfree parts in upstream's tarball we need to
+  replace them with free bits. This make target will do the Job for
+  you, leaving an tarball in your working directory.
   .
   You may need to change the path to the rules makefile.
+
+ -- Christoph Egger <debian at christoph-egger.org>, Sun, 23 Aug 2009 10:37:32 +0200

Modified: packages/trunk/supertuxkart/debian/get-orig-source.sh
===================================================================
--- packages/trunk/supertuxkart/debian/get-orig-source.sh	2009-08-23 00:42:54 UTC (rev 10194)
+++ packages/trunk/supertuxkart/debian/get-orig-source.sh	2009-08-23 08:39:24 UTC (rev 10195)
@@ -1,11 +1,19 @@
+#!/bin/sh
+
+set -e
+
+VERSION=$1
+
 TEMPDIR=$(mktemp -d)
-uscan --force-download --upstream-version 0.6.1a --no-symlink --destdir $TEMPDIR
+
+uscan --force-download --upstream-version $VERSION --no-symlink --destdir $TEMPDIR
 wget http://alioth.debian.org/~christoph-guest/stk-0.6.1a-dfsg.tar.bz2 -O $TEMPDIR/replacment.tar.bz2
 (cd $TEMPDIR
 	tar -xjf replacment.tar.bz2
-	tar -xjf  supertuxkart-0.6.1a.tar.bz2
-	mv supertuxkart-0.6.1a supertuxkart-0.6.1a.orig
-	cp -r stk*/* supertuxkart-0.6.1a.orig/
-	GZIP="--best" tar -czf supertuxkart_0.6.1a+dfsg2.orig.tar.gz supertuxkart-0.6.1a.orig )
-mv $TEMPDIR/supertuxkart_0.6.1a+dfsg2.orig.tar.gz .
+	tar -xjf  supertuxkart-${VERSION}.tar.bz2
+	mv supertuxkart-${VERSION} supertuxkart-${VERSION}.orig
+	cp -r stk*/* supertuxkart-${VERSION}.orig/
+	GZIP="--best" tar -czf supertuxkart_${VERSION}+dfsg1.orig.tar.gz supertuxkart-${VERSION}.orig )
+mv $TEMPDIR/supertuxkart_${VERSION+dfsg1.orig.tar.gz .
+
 rm -rf $TEMPDIR

Modified: packages/trunk/supertuxkart/debian/rules
===================================================================
--- packages/trunk/supertuxkart/debian/rules	2009-08-23 00:42:54 UTC (rev 10194)
+++ packages/trunk/supertuxkart/debian/rules	2009-08-23 08:39:24 UTC (rev 10195)
@@ -30,7 +30,7 @@
 	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --bindir=/usr/games
 
 get-orig-source:
-	sh debian/get-orig-source.sh
+	sh debian/get-orig-source.sh 0.6.2
 
 build: build-stamp
 build-stamp:  config.status




More information about the Pkg-games-commits mailing list